package lib::CheckGroups;

use NNML::Config qw($Config);
use NNML::Active qw($ACTIVE);
use NNML::Group;
use lib::Header;

require Exporter;
@ISA = qw(Exporter);
@EXPORT = qw(check_groups);

sub check_groups {
    my $art = shift;
    my $head = fetch_header($art);
    my @mygroup = split /,/, $head->{newsgroups};
    my $ret = "unwanted group: ";

    for (@mygroup) {
	my $GROUP = $ACTIVE->group($_);
	return $ret . $_ . "\n" unless $GROUP and $GROUP->{description};
    }

    return 0;
}

1;

# end
