package lib::Header;

require Exporter;
@ISA = qw(Exporter);
@EXPORT = qw(fetch_header);

sub fetch_header {
    my $art = shift;
    my $hd = {};
    my $h = '';
    my $v;

    my ($head, $body) = split /^$/m, $art, 2;
    my @header = split /\n/, $head;
    for (@header) {
	$hd->{lc $h} .= "$_\n", next if $h and /^\s/;
	($h, $v) = split /:\s+/, $_, 2;
	$hd->{lc $h} = $v;
    }

    return $hd;
}

1;

# end
