package lib::NNTP;

use Net::NNTP;

require Exporter;
@ISA = qw(Exporter);
@EXPORT = qw(newNNTP);

sub newNNTP {
    my $host = shift;
    my %opt = @_;
    my $nntp = new Net::NNTP($host, Port => $opt{port} || 119);

    sleep 1, $nntp = new Net::NNTP($host, Port => $opt{port} || 119)
	unless $nntp;
    return $nntp unless $nntp;

    $nntp->authinfo($opt{user}, $opt{pass}) if $opt{user};

    return $nntp;
}

1;

# end
